ConversationComplete webhook payload schema (documentation only)

⚠️ DO NOT CALL THIS ENDPOINT - it's for documentation only! This shows the structure of 'ConversationComplete' webhook payload that will be sent to your webhook URL.

POST
/api/webhooks/notifications/events/ConversationComplete
AuthorizationBearer <token>

JWT Authorization header using Bearer scheme

In: header

Response Body

application/json

curl -X POST "https://api.speaknode.com/api/webhooks/notifications/events/ConversationComplete"
{
  "event": "ConversationComplete",
  "data": {
    "session_id": "1ffd059c-17ea-40a8-8aef-70fd0307db82",
    "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",
    "agent_name": "string",
    "audio_url": "string",
    "audio_url_expires_at": "2019-08-24T14:15:22Z",
    "created_at": "2019-08-24T14:15:22Z",
    "start_time": "2019-08-24T14:15:22Z",
    "agent_joined_at": "2019-08-24T14:15:22Z",
    "duration_seconds": 0.1,
    "history": [
      {
        "role": "System",
        "content": "string",
        "kind": "Message",
        "id": "string",
        "created_at": "2019-08-24T14:15:22Z",
        "interrupted": true,
        "transcript_confidence": 0,
        "metrics": {
          "started_speaking_at": "2019-08-24T14:15:22Z",
          "stopped_speaking_at": "2019-08-24T14:15:22Z",
          "transcription_delay": 0,
          "end_of_turn_delay": 0,
          "on_user_turn_completed_delay": 0,
          "llm_node_ttft": 0,
          "tts_node_ttfb": 0,
          "e2e_latency": 0
        },
        "tool_name": "string",
        "tool_call_id": "string",
        "tool_arguments_json": "string",
        "tool_output": "string",
        "tool_is_error": true,
        "handoff_to_agent_id": "string",
        "instructions": "string",
        "tools_added": [
          "string"
        ]
      }
    ],
    "telecom_provider": "Twilio",
    "from_number": "string",
    "to_number": "string",
    "campaign_item_id": "78a8e446-a45f-4f73-8757-0093137dd224",
    "campaign_id": "78614b6c-fe7c-41e2-8e25-c9b3a3c91904",
    "campaign_name": "string",
    "url_parameters": {
      "property1": "string",
      "property2": "string"
    },
    "test_run_id": "01dbc221-8963-4bd7-8591-4a1f9d286862",
    "test_id": "22e96a18-23fe-4c06-8ee6-180390ceaded",
    "test_status": "Initial",
    "test_eval_result": {
      "success": true,
      "reasons": [
        "string"
      ],
      "completion_reason": "StepsExhausted"
    }
  }
}